/*
	Needed in frontend for toolbar
*/
#cpi-main-content {
	padding: 10px;
}
.row-fluid.subhead {
	background-color: #f5f5f5;
	border-bottom: 1px solid #e3e3e3;
	border-top: 1px solid #e3e3e3;
	padding: 5px;
	/* clear: both; */
}
#toolbar.btn-toolbar {
	margin:0;
}
.btn-toolbar .btn-wrapper {
	display: inline-block;
	margin: 5px;
}
.btn-success {
	color: #fff;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
	background-color: #409740;
}

/*
 	Needed in frontend for sidebar
*/
div.body {
	overflow: hidden;
}

#cpi-container {
	clear: both;
	position: relative;
	display: table;
	width: 100%;
}
.j-sidebar-container {
	position: absolute;
	display: block;
	left: -16.6%;
	width: 16.5%;
	padding-top: 28px;
	padding-bottom: 10px;
	background-color: #f5f5f5;
	border-bottom: 1px solid #e3e3e3;
	border-right: 1px solid #e3e3e3;
	-webkit-border-radius: 0 0 4px 0;
	-moz-border-radius: 0 0 4px 0;
	border-radius: 0 0 4px 0;
}
.j-sidebar-container.j-sidebar-hidden {
	left: -16.6%;
}
.j-sidebar-container.j-sidebar-visible {
	left: 0;
}
.j-sidebar-container .filter-select {
	padding: 0 14px;
}
.j-toggle-button-wrapper {
	position: absolute;
	display: block;
	top: 7px;
	padding: 0;
}
.j-toggle-button-wrapper.j-toggle-hidden {
	right: -18px;
}
.j-toggle-button-wrapper.j-toggle-visible {
	right: 7px;
}
.j-toggle-sidebar-button {
	font-size: 16px;
	color: #3071a9;
	text-decoration: none;
	cursor: pointer;
}
.j-toggle-sidebar-button:hover {
	color: #1f496e;
}

#system-message-container {
	padding: 0;
	min-height: 0;
}
#j-main-container {
	min-height: 0;
}
#j-main-container.expanded {
	padding-left: 15px;
}
#system-message-container.j-toggle-main {
	width: 100%;
}
#j-main-container.j-toggle-main,
#system-debug.j-toggle-main {
	float: right;
}

@media (min-width: 768px) {
	.j-toggle-transition {
		-webkit-transition: all 0.3s ease;
		-moz-transition: all 0.3s ease;
		-o-transition: all 0.3s ease;
		transition: all 0.3s ease;
	}
	
}
@media (max-width: 979px) {
	.j-toggle-button-wrapper.j-toggle-hidden {
		right: -20px;
	}
}
@media (max-width: 767px) {
	.row-fluid.subhead {
		padding: 0;
	}
	.j-sidebar-container {
		position: relative;
		width: 100%;
		margin: 0 0 20px 0;
		padding: 0;
		background: transparent;
		border-right: 0;
		border-bottom: 0;
	}
	.j-sidebar-container.j-sidebar-hidden {
		margin-left: 16.5%;
	}
	.j-sidebar-container.j-sidebar-visible {
		margin: 20px 10px 20px 0px;
		border: none;	
	}
	.j-toggle-sidebar-header,
	.j-toggle-button-wrapper {
		display: none;
	}
}
@media (max-width: 420px) {
	.j-sidebar-container {
		margin: 0;
	}
}
/*
	TODO: Move to main template CSS
*/

#system-message .alert {
	margin-bottom: 10px;
}
.alert-success {
	background-color: #dff0d8;
	border-color: #d6e9c6;
	color: #3c763d;
}